<?php
if (!defined('DC_CONTEXT_ADMIN')) exit;
global $core;

$this_version = $core->plugins->moduleInfo('shortURL','version');
$installed_version = $core->getVersion('shortURL');
if (version_compare($installed_version,$this_version,'>=')) {
	return;
}

function putShurlGlobalSetting($id,$value,$type=null,$label=null,$value_change=true) {
	global $core;
	$old_value = $core->blog->settings->get($id);
	if ($old_value === null)
		$core->blog->settings->put($id,$value,$type,$label,$value_change,true);
	else
		$core->blog->settings->put($id,$old_value,$type,$label,$value_change,true);
}

$core->blog->settings->setNamespace('shortURL');
putShurlGlobalSetting('shortURLEnabled',false,'boolean','Enable short URL system');
putShurlGlobalSetting('shortURLPrefix','shurl','string','Short URL system prefix');
putShurlGlobalSetting('shortURLBackCompatibility',false,'boolean','Still support the old URL system');

$core->setVersion('shortURL',$this_version);

return true;
?>
